Subject: [XCON] Comments on draft-evan-sipping-media-policy-requirements-00

From: "Eric Burger" <[email-masked]>
Date: Wed, 3 Mar 2004 17:00:00 -0500

First and foremost, this is NOT a requirements document.  It proposes a solution and then wraps requirements around that solution.

I will not comment on the solution.  I will, however, comment on the requirements.  These are all in section 6.

   REQ-GP1: A participant MUST be able to specify its own unique
   topology.

OK, so long as we recognize this is a property of the protocol, not of the media resource.  In fact, I would offer this as a requirement:  

REQ-GP1': A media resource MUST be able to reject a policy request.

   REQ-GP2: It must be possible for a group of users to receive the same
   mix.  This mix may be a conference common mix.

Isn't this the definition of a conference?  I suppose that it is OK to spell this out, in case someone forgot why we are here.

   REQ-GP3:It MUST be possible to dynamically modify the number of
   contributing streams associated with a mixer.

Is "number of contributing streams" the number of active talkers physically in the mix, or the number of active talkers in the conference.  If it is the latter, the requirement is OK, but needs to be clearer.  If it is the former, then requirement is NOT OK.  What is the use case?

Assuming the latter, how about:
REQ-GP3: It MUST be possible to dynamically set the size of the conference.

   REQ-GP4: It MUST be possible to define the mixing function for each
   participant in the conference.

This is written in the terms of the solution.  What is the requirement here?

   REQ-GP6: It SHOULD be possible to send a participant multiple streams
   from one mixer.  This requirement is to enable support for end- point
   mixing.

NO.  REQ-GP6 is clearly out of scope for the charter of XCON.

   REQ-GP7: It SHOULD be possible to define relationships between
   different mixers.  The relationships can be time synchronized such as
   specifying that the audio mixer and video mixer is a pair to
   establish lip-synchs.

NO!  This again is written in terms of the solution, not the requirement.  This is only a problem BECAUSE the solution is written in terms of DSP resources.  The requirement is:

REQ-GP7: It MUST be possible to request synchronization between related media streams.  [Don't forget REQ-GP1' -- the media resource can always say it cannot do synchronization.]

   REQ-GP8: It SHOULD be possible to define the number of different
   topologies and the number of streams in each of them that will be
   mixed in a mixer.  For example the conference will support only one
   video topology that will go to all the participants, the video
   topology will support 2x2 display, or each participant will be able
   to receive his own audio topology that will include up to 4
   contributing sources.

I do not understand this requirement at all.  Please elaborate.

_______________________________________________
XCON mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/xcon